# //////////////////////////////////////////////////////////////////////
# // logo.tcl //////////////////////////////////////////////////////////
# //////////////////////////////////////////////////////////////////////

#
# //
# // Event Monitor Project
# // version 0.6
# //
# // Juan Manuel Casillas
# // assman@gsyc.inf.uc3m.es
# //
# //
# // Event Monitor Project
# //
# // logo.tcl
# //
# //
# // shows the logo
# //
# // This program part of Event Monitor Project (EM), 
# // a system to manage and operate a heterogeneous 
# // network, based on message-passing.
# // See License file for details
# //
# // 
# //
#
#
# Logo:Load { } 		Loads $HOME/icons/emonitor.gif 
# 		                file into a window
#				be careful, this pkg is tailored
#				to load a gif file into a well
#				known sized-window
#
# Logo:Destroy { }		Destroy previously created logo
#


# //////////////////////////////////////////////////////////////////////
# // Logo:Message() ////////////////////////////////////////////////////
# //////////////////////////////////////////////////////////////////////

proc Logo:Message { MSG } {
.logo.l configure -text $MSG
}

# //////////////////////////////////////////////////////////////////////
# // Logo:load_logo() //////////////////////////////////////////////////
# //////////////////////////////////////////////////////////////////////

proc Logo:Load { } {
global PIXMAP_DIR
toplevel .logo
# wm geometry .logo 415x150
wm geometry .logo 415x170
wm title .logo "Event Monitor Proyect"
#wm minsize .logo 415
#wm maxsize .logo 150
set logo [ image create photo -format gif -file $PIXMAP_DIR/emonitor.gif ]
set c [ canvas .logo.c -relief flat -bd 0 -width 415 -height 150 ]
set l [ label .logo.l -bd 0 -relief flat -bg black -fg white \
        -justify center -text "" ]
# pack .logo.c -expand yes -fill both
pack .logo.c
pack .logo.l -expand yes -fill x
$c create image 207 80  -image $logo 

# after $TIME "destroy .logo"
}

# //////////////////////////////////////////////////////////////////////
# // Logo:load_logo() //////////////////////////////////////////////////
# //////////////////////////////////////////////////////////////////////

proc Logo:Destroy { } {
  destroy .logo
}

# load_logo /home/consola/tools/src/mio 4000

